[pve-devel] [PATCH tar 4/5] Add readme explaining the backport

Emmanuel Kasper e.kasper at proxmox.com
Mon Apr 18 10:08:44 CEST 2016


---
 README.adoc | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 README.adoc

diff --git a/README.adoc b/README.adoc
new file mode 100644
index 0000000..62b06e5
--- /dev/null
+++ b/README.adoc
@@ -0,0 +1,32 @@
+PVE backport of tar
+~~~~~~~~~~~~~~~~~~~
+
+To fix the PVE bug 928 
+we choose to do a backport of the Debian Stretch package, as this 
+bug is already fixed in 1.28-2.1 currently packaged for Stretch.
+
+This has the following advantage:
+ * we don't need to maintain a patch and a package ourselves, we
+ just need to rebuild
+ * due to the use of a special version string this package will 
+ be replaced by the original Debian one when doing a jessie-> stretch
+ upgrade. Hence we only need to keep this around until Stretch is release.
+
+To assure a smooth transition, we need to take a special care about
+the version. The chosen version string assures that we have a 
+higher priority than the buggy tar version, but a lower priority than
+any Debian release containing the fix.
+
+This is a list of current and expected tar versions sorted by dpkg descending
+priority (verified with dpkg --compare-versions) 
+
+1.28-2.1 : debian stretch version
+1.28-2.1~bpo80+1 : potential official backport
+
+1.28-3.1~bpo80pve+1 : our actualized backport (new backport from a new stretch version) 
+1.28-2.1~bpo80pve+2 : our fixed backport ( should not happen )
+
+1.28-2.1~bpo80pve+1 : our backport <------- we are here 
+
+1.27.1+pve.2 : our own old tar package
+1.27.1-2+b1 : jessie tar version
-- 
2.1.4




More information about the pve-devel mailing list